import { _decorator, Component, input, Input, EventGamepad, Vec2, Label } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('GamepadEventTest')
export class GamepadEventTest extends Component {
    @property(Label)
    lb_leftStickValue: Label = null!

    @property(Label)
    lb_rightStickValue: Label = null!

    start() {
        input.on(Input.EventType.GAMEPAD_INPUT, this._gamepadEvent, this);
    }

    private _gamepadEvent(event: EventGamepad) {
        const gamepad = event.gamepad;
        const leftStickValue = gamepad.leftStick.getValue() as Vec2;
        this.lb_leftStickValue.string = `${leftStickValue.toString()}`;

        const rightStickValue = gamepad.rightStick.getValue() as Vec2;
        this.lb_rightStickValue.string = `${rightStickValue.toString()}`;
    }
}